tpm_unsealdata(1)

TPM Management - tpm_unsealdata

NAME
tpm_unsealdata - unseal input data with the SRK of the system's TPM

SYNOPSIS
tpm_unsealdata [OPTION]

DESCRIPTION

tpm_unsealdata unseals sensitive data that was sealed the SRK of the system's TPM.

-h, --help
    Display command usage info.

-v, --version
    Display command version info.

-l, --log [none|error|info|debug]
    Set logging level.

-i, --infile FILE
    File containing data to unseal.

-o, --outfile FILE
    Filename to write unsealed data to. Default is STDOUT.

-z, --well-known
    Use TSS_WELL_KNOWN_SECRET (20 zero bytes) as the SRK password. You will not be prompted for the SRK password with this option.

SEE ALSO

tpm_sealdata(1), tpmUnsealFile(3)

REPORTING BUGS
Report bugs to <trousers-users@lists.sourceforge.net>